import gtk
import time
import threading

class ConnectException(Exception):
    pass

def sleeper():
    gtk.timeout_add(33, sleeper)
    time.sleep(0.001)

def getUniqueList(l):
    r = []
    for i in l:
        if not i in r:
            r.append(i)
    return r

def getSortedList(l):
    r = {}
    for i in l:
        r[i] = 1
    return r.keys()

class Worker(threading.Thread):
    def __init__(self, view, word, lang):
        threading.Thread.__init__(self)
        self.view = view
        self.lang = lang
        self.word = word

    def run(self):
        gtk.threads_enter()
        self.view.search(self.word, self.lang)
        gtk.threads_leave()
